/**
 * @desc   : 一览界面Modal
 * @author : 周兴
 * @date   : 2022/12/12 10:46
 */
export const modalMixin = {
  props:{
    value:{
      type:Object,
    },
    modalParams:{
      type:Object,
    },
  },
  data() {
    return {
      formData:{},
    }
  },
  watch:{
    formData(n,o){
      this.$emit('input',n)
    },
    value(n,o){
      this.formData = n;
    }
  },
  methods: {
    /**
     * @desc   : 重置表格
     * @author : 周兴
     * @date   : 2023/7/18 13:25
     */
    resetFields(){
      this.$refs['formInline'].resetFields();
    },
  },
  created() {
    this.formData = this.value;
  }
}


